VMware Fusion 6.x: Cannot connect to a valid peer process on High Sierra

So I ran into this error message the other day: “Cannot find a valid peer process to connect to” when loading some of my older development virtual machines via VMWare Fusion 6.x.

                 Richard … I don’t want to read … gimme the solution!

On goes the thinking cap. So what have I done recently that would stop making it work? So to give you some background, I have a mid-2012 Mac Book Pro pre-Retina and decided to upgrade to MacOS High Sierra from El Capitan (yes I know Mojave is available now). Soon after I doing this, I fired up VMWare Fusion 6.x and get the error: “Cannot find a valid peer process to connect to”. In comes Google to the rescue.

In this article, basically it was telling me this is what happens after upgrading to to High Sierra and after doing so you must upgrade to  a newer version of VMWare Fusion.  Unfortunately more articles pointed to the same conclusion. So… I had to get out my credit card and buy version 11. After purchasing, I downloaded the trial, upgraded version 6 to version 11 and applied the license key and loaded the new version. All fixed right? Wrong… I was still getting the error. Back to Google.

Then I found this on GitHubGist.  Finally a solution that worked! 😉

Solution

Open terminal and at the command prompt type to create the new file:

Press “I” to allow for INSERT, then copy and paste the text below.

Next, hit the Esc key to escape the INSERT. Save and close uninstall_vmware.sh with :wq 
When back at the prompt below type the following command to execute the file

This should have now removed all traces of VMWare from your Mac. Now just reinstall Fusion 11, apply the license key, and Voilà the error is gone!